<template lang="pug">
  ul.pagination
    li.page-item(:class="{ disabled: index == 1 }")
      a(href="#" tabindex="-1") {{ $t('prev') | capitalize }}
    li.page-item(v-for="(page, localIndex) in Array(size).keys()" :key="localIndex" :class="{ active: index === (localIndex + 1) }")
      a(href="#") {{ localIndex+1 }}
    li.page-item(:class="{ disabled: index == size }")
      a(href="#" tabindex="-1") {{ $t('next') | capitalize }}
</template>

<script>
export default {
  props: {
    index: {
      type: Number,
      default: 1
    },
    size: {
      type: Number,
      default: 1
    }
  }
}
</script>
